﻿//------------------------------------------------------------------------------
// <copyright company="Kartones.Net">
//     Copyleft (c) Kartones 2009
// </copyright> 
//------------------------------------------------------------------------------

using System;

namespace KartonesNet.APIs
{
    /// <summary>
    /// Simple CSV data formatter for Google Analytics data
    /// </summary>
    public class GoogleAnalyticsCommaDataFormatter : IGoogleAnalyticsDataFormatter
    {
        #region Public Methods

        /// <summary>
        /// Tag to inject before each element
        /// </summary>
        /// <returns>Tag</returns>
        public string PreElementTag()
        {
            return string.Empty;
        }

        /// <summary>
        /// Tag to inject before each field of an element
        /// </summary>
        /// <returns>Tag</returns>
        public string PreFieldTag()
        {
            return string.Empty;
        }

        /// <summary>
        /// Tag to inject after each field of an element
        /// </summary>
        /// <returns>Tag</returns>
        public string PostFieldTag()
        {
            return ",";
        }

        /// <summary>
        /// Tag to inject after each element
        /// </summary>
        /// <returns>Tag</returns>
        public string PostElementTag()
        {
            return string.Empty;
        }

        #endregion
    }
}
