﻿using System;

namespace KartonesNet.APIs
{
    /// <summary>
    /// Stores a list of Feedburner entries, plus minimum and maximum values
    /// </summary>
    public struct GoogleFeedburnerEntryList
    {
        /// <summary>
        /// Minimum circulation value of the entries
        /// </summary>
        public long MinCirculation;
        
        /// <summary>
        /// Maximum circulation value of the entries
        /// </summary>
        public long MaxCirculation;
        
        /// <summary>
        /// Minimum hits value of the entries
        /// </summary>
        public long MinHits;
        
        /// <summary>
        /// Maximum hits value of the entries
        /// </summary>
        public long MaxHits;
        
        /// <summary>
        /// Minimum reach value of the series
        /// </summary>
        public long MinReach;
        
        /// <summary>
        /// Maximum reach value of the series
        /// </summary>
        public long MaxReach;

        /// <summary>
        /// Array of GoogleFeedburnerEntry elements
        /// </summary>
        public GoogleFeedburnerEntry[] Entries;
    }
}
