﻿//------------------------------------------------------------------------------
// <copyright company="Kartones.Net">
//     Copyleft (c) Kartones 2009
// </copyright> 
//------------------------------------------------------------------------------

namespace KartonesNet.APIs
{
    /// <summary>
    /// Interface for implementing a Google Analytics data formatter
    /// </summary>
    public interface IGoogleAnalyticsDataFormatter
    {
        /// <summary>
        /// Tag to inject before each element
        /// </summary>
        /// <returns>Tag</returns>
        string PreElementTag();

        /// <summary>
        /// Tag to inject before each field of an element
        /// </summary>
        /// <returns>Tag</returns>
        string PreFieldTag();

        /// <summary>
        /// Tag to inject after each field of an element
        /// </summary>
        /// <returns>Tag</returns>
        string PostFieldTag();

        /// <summary>
        /// Tag to inject after each element
        /// </summary>
        /// <returns>Tag</returns>
        string PostElementTag();
    }
}